pymapd

Python client for OmniSci GPU-accelerated SQL engine and analytics platform

Showing:

Popularity

Downloads/wk

0

GitHub Stars

110

Maintenance

Last Commit

2mos ago

Contributors

30

Package

Dependencies

0

License

Apache Software License

Categories

Readme

======

pymapd

A wrapper for the pyomnisci libarary http://github.com/omnisci/pyomnisci, maintained for backwards compatibility.

Existing scripts should be migrated to pyomnisci from pymapd, this library will not be updated moving forward.

Quick Install (CPU)

Packages are available on conda-forge and PyPI::

conda install -c conda-forge pymapd

pip install pymapd

Quick Install (GPU)

We recommend creating a fresh conda 3.7 or 3.8 environment when installing pymapd with GPU capabilities.

To install pymapd and cudf for GPU Dataframe support (conda-only)::

conda create -n omnisci-gpu -c rapidsai -c nvidia -c conda-forge \ -c defaults cudf=0.15 python=3.7 cudatoolkit=10.2 pymapd

.. _DB API: https://www.python.org/dev/peps/pep-0249/ .. _pyomnisci: http://github.com/omnisci/pyomnisci .. _OmniSci: https://www.omnisci.com/

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100
No reviews found
Be the first to rate

Alternatives

No alternatives found

Tutorials

No tutorials found
Add a tutorial